RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1116844 - Rebase libgovirt to 0.3.1
Summary: Rebase libgovirt to 0.3.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libgovirt
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Christophe Fergeau
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1136793
Blocks: 1082754 1109400 1117928 1127156 1133822
TreeView+ depends on / blocked
 
Reported: 2014-07-07 13:00 UTC by Marc-Andre Lureau
Modified: 2015-03-05 09:27 UTC (History)
3 users (show)

Fixed In Version: libgovirt-0.3.1-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list. Rebase package(s) to version: 0.3.1 Highlights, important fixes, or notable enhancements: Breaks ABI, support for more oVirt REST API entry points, including the part of the API needed for implementation of foreign menu support in virt-viewer
Clone Of:
Environment:
Last Closed: 2015-03-05 09:27:13 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0426 0 normal SHIPPED_LIVE new packages: libgovirt 2015-03-05 14:26:16 UTC

Description Marc-Andre Lureau 2014-07-07 13:00:22 UTC
govirt rebase is required for virt-viewer 0.6 rebase (bug 1109400)

Comment 1 Marc-Andre Lureau 2014-07-07 13:30:45 UTC
sigh.. ABI change, this will break gnome-boxes that will need rebuild...

Comment 2 Marc-Andre Lureau 2014-07-08 19:35:56 UTC
rebase is ready, with 0001-Fix-memory-corruption-when-RestProxy-ssl-ca-file-doe.patch cherry-picked. 

please give acks

Comment 3 Christophe Fergeau 2014-08-06 08:32:26 UTC
Fwiw, we'll need to rebase to 0.3.1 when it's released in order to get foreign menu support.

Comment 4 Marc-Andre Lureau 2014-09-01 16:09:31 UTC
rising severity for bug 1133822

Comment 8 errata-xmlrpc 2015-03-05 09:27:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0426.html


Note You need to log in before you can comment on or make changes to this bug.